Skip to main content
POST
/
agent-setup
/
{agentId}
/
context-file
Add context files to an existing agent
curl --request POST \
  --url https://api.beamstudio.ai/agent-setup/{agentId}/context-file \
  --header 'Content-Type: multipart/form-data' \
  --header 'current-workspace-id: <current-workspace-id>' \
  --header 'x-api-key: <api-key>' \
  --form 'files=<string>' \
  --form files.items='@example-file'
[
  {
    "id": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "src": "<string>",
    "agentId": "<string>",
    "fileKey": "<string>",
    "uploadStatus": "<string>",
    "uploadSource": "file_upload",
    "taskId": "<string>"
  }
]

Authorizations

x-api-key
string
header
required

Headers

current-workspace-id
string
required

Path Parameters

agentId
string
required

Body

multipart/form-data

Context files to upload

files
file[]
required

Array of context files to upload (maximum 10 files)

Response

201 - application/json
id
string
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
name
string
required
src
string
required
agentId
string
required
fileKey
string
required
uploadStatus
string
required
uploadSource
enum<string>
required
Available options:
file_upload,
text_snippet,
url_upload
taskId
string